/*	Daniella Pokorny
	11/13/22
	CpSc 1011
	Section #7
	Lab 10
	PPM Read:Write
 */


#ifndef DEFS_H
#define DEFS_H
#include <stdio.h>
#include <stdlib.h>

typedef struct header{
		  char type[3];
		  int width, height, maxColor;
}header_t;

typedef struct pixel{
		  int r,g,b;
}pixel_t;

//prototypes
header_t getHeader(void);

void writeHeader(header_t heading);

void fillImageArray(pixel_t *p, int height, int width);

void halfSizeWritePixels(pixel_t *p, int height, int width);

void writePixels(pixel_t *p, int height, int width);


#endif

